Running npm install fails

cagatay.civici
Prime
Posts: 18532
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

22 Nov 2021, 14:34

Glad to hear, it turned out to be a compatibility issue with the node version you had and node-sass. We should have used dart sass in the first place, sorry for the inconvenience. We will release 2.0.1 with the update later today.

Please let us know regarding future inquiries. Here to help.

User avatar
bjorntj
Posts: 259
Joined: 30 Jul 2010, 10:46

22 Nov 2021, 14:39

Thx... :)
But hoping this will just work for the next releases...
PrimeFaces 10.x | Spring Boot 2.6.x | Undertow | Mojarra 2.3.x
Arch Linux, Firefox and Chromium

cagatay.civici
Prime
Posts: 18532
Joined: 05 Jan 2009, 00:21
Location: Cybertron
Contact:

04 Dec 2021, 09:17

Sure, we've released a new version of Blocks with all these version updates in.

Rhoda
Posts: 1
Joined: 06 Jan 2022, 13:17

06 Jan 2022, 13:18

Make sure you have the latest version of node js and npm installed In mac you might have downloaded and installed Node js in /Users/yourusername/Downloads/nodejs-todo-master.

Johndavidson9
Posts: 1
Joined: 07 Dec 2021, 12:31

24 Jan 2022, 10:06

PrimeVue and PrimeIcons are updated after PrimeBlocks v2 so npm is warning for peer dependencies. mx player for pc
mxplayer

WilliamFed
Posts: 3
Joined: 22 Nov 2021, 18:05
Location: United States
Contact:

25 Jan 2022, 22:14

as mentioned, it uses gulp and it should be installed. install gulp using the command: sudo apt install gulp
then try to test it by running: gulp cssRelease

do you have nodejs development experience? have you used npm before?

best regards

-ADMIN

Post Reply

Return to “PrimeBlocks for PrimeVue”

  • Information
  • Who is online

    Users browsing this forum: No registered users and 1 guest